import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cdn.list_purge_statuses()
page = page.results[0]
print(page.purge_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CDN.ListPurgeStatuses(context.TODO(), cdn.CDNListPurgeStatusesParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cdn/purge_statuses \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/purge_statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"purge_id": 1,
"status": "Successful",
"resource": {
"id": 1,
"cname": "cdn.site.com"
},
"payload": {
"urls": [
"http://example.com/path1/file1.jpg",
"http://site.example.com/path-18/file2.jpg"
]
},
"created": "2021-10-29T13:21:01.550849Z",
"purge_type": "purge_by_url"
}
]Get purges history list
Get purges history.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cdn.list_purge_statuses()
page = page.results[0]
print(page.purge_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CDN.ListPurgeStatuses(context.TODO(), cdn.CDNListPurgeStatusesParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Purges associated with a specific resource CNAME.
Example:
- &cname=example.com
Purge with a certain status.
Possible values:
- In progress
- Successful
- Failed
- Status report disabled
Purge requests with a certain purge type.
Possible values:
purge_by_pattern- Purge by Pattern.purge_by_url- Purge by URL.purge_all- Purge All.
Start date and time of the requested time period (ISO 8601/RFC 3339 format, UTC.)
Examples:
- &
from_created=2021-06-14T00:00:00Z - &
from_created=2021-06-14T00:00:00.000Z
End date and time of the requested time period (ISO 8601/RFC 3339 format, UTC.)
Examples:
- &
to_created=2021-06-15T00:00:00Z - &
to_created=2021-06-15T00:00:00.000Z
Number of purge requests in the response to skip starting from the beginning of the requested period.
Maximum number of purges in the response.
x <= 100Response
Successful.
- Plain list · object[]
- Paginated list · object
Purge ID.
1
Purge status.
Possible values:
- In progress - Purge is in progress.
- Successful - Purge was successful.
- Failed - Purge failed.
In progress, Successful, Failed Show child attributes
Show child attributes
Purge payload depends on purge type.
Possible values:
- urls - Purge by URL.
- paths - Purge by Pattern and purge All.
{
"urls": [
"http://example.com/path1/file1.jpg",
"http://site.example.com/path-18/file2.jpg"
]
}
Date and time when the purge was created (ISO 8601/RFC 3339 format, UTC).
"2021-10-29T13:21:01.550849Z"
Contains the name of the purge request type.
Possible values:
purge_by_pattern- Purge by Pattern.purge_by_url- Purge by URL.purge_all- Purge All.
"purge_by_url"
Was this page helpful?